<?php

namespace App\Enums;

enum Gender: int
{
    case UNKNOWN = 0;
    case MALE = 1;
    case FEMALE = 2;

    public function label(): string
    {
        return match ($this) {
            self::UNKNOWN => '未知',
            self::MALE => '男',
            self::FEMALE => '女',
        };
    }
}
